﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.HuiJu.Send
{
    /// <summary>
    /// 电话记录
    /// </summary>
    [Description("电话记录")]
    public class DsSubmitCaseRecord : CreationModificationEntity
    {
        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string? CaseSerial { get; set; }

        /// <summary>
        /// 通话记录ID
        /// </summary>
        [SugarColumn(ColumnDescription = "通话记录ID", ColumnDataType = "varchar(50)")]
        public string CallId { get; set; }

        /// <summary>
        /// 电话号码
        /// </summary>
        [SugarColumn(ColumnDescription = "电话号码", ColumnDataType = "varchar(50)")]
        public string PhoneNumber { get; set; }

        /// <summary>
        /// 通话状态
        /// </summary>
        [SugarColumn(ColumnDescription = "通话状态", ColumnDataType = "varchar(16)")]
        public string PhoneStatus { get; set; }

        /// <summary>
        /// 是否呼出
        /// </summary>
        [SugarColumn(ColumnDescription = "是否呼出", ColumnDataType = "varchar(16)")]
        public string IsPhoneCall { get; set; }

        /// <summary>
        /// 接通电话时间
        /// </summary>
        [SugarColumn(ColumnDescription = "接通电话时间")]
        public DateTime? CallStart { get; set; }

        /// <summary>
        /// 通话结束时间
        /// </summary>
        [SugarColumn(ColumnDescription = "通话结束时间")]
        public DateTime? CallEnd { get; set; }

        /// <summary>
        /// 进ivr时间
        /// </summary>
        [SugarColumn(ColumnDescription = "进ivr时间")]
        public DateTime? InIvr { get; set; }

        /// <summary>
        /// 进队列时间
        /// </summary>
        [SugarColumn(ColumnDescription = "进队列时间")]
        public DateTime? InQueue { get; set; }

        /// <summary>
        /// 振铃时间
        /// </summary>
        [SugarColumn(ColumnDescription = "振铃时间")]
        public DateTime? CallTime { get; set; }

        /// <summary>
        /// 通话时长
        /// </summary>
        [SugarColumn(ColumnDescription = "通话时长")]
        public int CallLength { get; set; }

        /// <summary>
        /// 坐席人员工号
        /// </summary>
        [SugarColumn(ColumnDescription = "坐席人员工号", ColumnDataType = "varchar(16)")]
        public string SeatNumber { get; set; }

        /// <summary>
        /// 录音路径
        /// </summary>
        [SugarColumn(ColumnDescription = "录音路径", ColumnDataType = "varchar(200)")]
        public string AccordUrl { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
