﻿using Hotline.DataSharing.Province.HuiJu.Send;
using Hotline.DataSharing.Province.XieTong.Knowledge;
using Hotline.DataSharing.Province.XieTong.Receive;
using Hotline.DataSharing.Province.XieTong.Send;
using Sharing.Province.Dtos.HuiJu.Send;

namespace Hotline.DataSharing.Province.Services
{
    public interface IPusherProviderService
    {
        /// <summary>
        /// 向省上推送工单数据请求
        /// </summary>
        /// <param name="submitCaseInfo"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task ProvinceOrderCreatedPusher(List<DsSubmitCaseInfo> submitCaseInfo, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单交办评价请求
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetVisitInfoReceivePusher(DsGetVisitInfoReceive data, CancellationToken cancellationToken);

        /// <summary>
        /// 上传通话记录
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SubmitCaseRecordPusher(List<DsSubmitCaseRecord> dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单拓展信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitCaseExtendsPusher(SubmitCaseExtendsInfoId dto, CancellationToken cancellationToken);

        /// <summary>
        /// 往省上派单
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SendCaseInfoDataPusher(DsSendCaseInfo dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单交办处理过程
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetCaseProcessReceivePusher(DsGetCaseProcessReceive dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单交办处理结果
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetCaseResultReceivePusher(DsGetCaseResultReceive dto, CancellationToken cancellationToken);

        /// <summary>
        /// 退回申请请求
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetCaseBackApplyPusher(DsGetCaseBackApply dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单督办过程
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SendSuperviseProcessInfoPusher(DsSendSuperviseProcessInfo dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单督办结果
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SendSuperviseResultInfoPusher(DsSendSuperviseResultInfo dto, CancellationToken cancellationToken);

        /// <summary>
        /// 工单发起甄别
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task ScreenCaseInfoSendPusher(DsScreenCaseInfoSend dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单催单
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SendRemindCaseInfoPusher(DsRemindCaseInfo dto, CancellationToken cancellationToken);

        /// <summary>
        /// 知识库上报
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetKnowledgeInfoSendPusher(DsGetKnowledgeInfoSend dto, CancellationToken cancellationToken);

        /// <summary>
        /// 知识库变更
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetKnowledgeInfoUpdatePusher(DsGetKnowledgeInfoUpdate dto, CancellationToken cancellationToken);

        /// <summary>
        /// 知识库下架
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetKnowledgeInfoAbandonPusher(DsGetKnowledgeInfoAbandon dto, CancellationToken cancellationToken);

        /// <summary>
        /// 实时服务上报
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SendRealTimeStatusPusher(DsSendRealTimeStatus dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单申请延时
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task DelayCaseInfoSendPusher(DsDelayCaseInfoSend dto, CancellationToken cancellationToken);

        /// <summary>
        /// 政民互动提交公开
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task ZmhdCaseInfoPublicPusher(DsZmhdCaseInfoPublic dto, CancellationToken cancellationToken);

        /// <summary>
        /// 统计数据
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SubmitCaseTotalPusher(DsSubmitCaseTotal dto, CancellationToken cancellationToken);

        /// <summary>
        /// 上报补充诉求
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SupplyCaseInfoSendPusher(DsSupplyCaseInfoSend dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单撤单
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SendRevokeCaseInfoPusher(DsRevokeCaseInfo dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单处理过程
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SubmitCaseProcessPusher(List<DsSubmitCaseProcess> dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单处理结果
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SubmitCaseResultPusher(List<DsSubmitCaseResult> dto, CancellationToken cancellationToken);

        /// <summary>
        /// 服务工单回访评价
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task SubmitVisitInfoPusher(List<DsSubmitVisitInfo> dto, CancellationToken cancellationToken);

        /// <summary>
        ///附件上传处理
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetCaseMaterialInfoPusher(List<DsGetCaseMaterialInfo> dto, CancellationToken cancellationToken);

        /// <summary>
        /// 拉取12315工单办理信息
        /// </summary>
        /// <param name="CaseSerial"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task GetCaseDistrecordSendPusher(string CaseSerial, CancellationToken cancellationToken);
    }
}
