﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.DataSharing.Province.XieTong.Send
{
    /// <summary>
    /// 上报补充诉求
    /// </summary>
    [Description("上报补充诉求")]
    public class DsSupplyCaseInfoSend : CreationModificationEntity
    {
        /// <summary>
        /// 补充人员
        /// </summary>
        [SugarColumn(ColumnDescription = "补充人员", ColumnDataType = "varchar(200)")]
        public string SupplyName { get; set; }

        /// <summary>
        /// 补充时间
        /// </summary>
        [SugarColumn(ColumnDescription = "补充时间")]
        public DateTime? SupplyTime { get; set; }

        /// <summary>
        /// 补充内容
        /// </summary>
        [SugarColumn(ColumnDescription = "补充内容", ColumnDataType = "text")]
        public string SupplyContent { get; set; }

        /// <summary>
        /// 服务工单编号  
        /// </summary>
        [SugarColumn(ColumnDescription = "服务工单编号", ColumnDataType = "varchar(50)")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [SugarColumn(ColumnDescription = "材料标识", ColumnDataType = "varchar(50)", IsNullable = true)]
        public string CliengGuid { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [SugarColumn(ColumnDescription = "行政区划代码", ColumnDataType = "varchar(24)")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 接口返回结果
        /// </summary>
        [SugarColumn(ColumnDataType = "json", IsJson = true, IsNullable = true)]
        public string ReturnResult { get; set; }

        /// <summary>
        /// 同步状态 0：待同步；	  1：同步成功；	 2：同步失败；
        /// </summary>
        [SugarColumn(ColumnDescription = "同步状态", ColumnDataType = "varchar(1)", IsNullable = true)]
        public string SyncState { get; set; } = "0";
    }
}
